# Generate reset link

Starts a password reset flow by generating a magic link. Once clicked, the User Agent will be redirected to the URI specified in this request. This URI will include a code required to reset the password. <br><br>**Required permissions**: `apps:execute`, `[appId]:execute`, `auth:execute`.

Endpoint: POST /v1/auth/password/reset/link
Security: ClientAccessToken

## Request fields (application/json):

  - `prev_reset_token` (string)
    Reset token that contains `mfa_required` as `true`. Should be passed when initiating a second factor authentication, in case MFA is required for password reset flows.

  - `ignore_mfa` (boolean)
    Allows resetting the password without MFA in case MFA is required for password reset flows

  - `email` (string)
    The user's primary email address. Pass either `username` or `email`, but not both.

  - `username` (string)
    The username to send the magic link to. Pass either `username` or `email`, but not both.

  - `redirect_uri` (string, required)
    URI where the email link will redirect to. This is the server GET endpoint used to call the password reset endpoint, and should accept "code" as a query parameter. This URI must also be configured as an allowed redirect URI in the Transmit Admin Portal.
    Example: https://www.example.com/reset-password

## Response 200 fields (application/json):

  - `reset_link` (string, required)
    Example: Reset password magic link

## Response 400 fields (application/json):

  - `error_code` (string)
    Enum: "auth_invalid_redirect_uri"

  - `message` (string)

## Response 404 fields (application/json):

  - `error_code` (string)
    Enum: "client_not_exist", "user_not_found"

  - `message` (string)

